Subject: Re: [Cellar] Encryption in Matroska

From: "Sebastian G. <bastik>" <[email-masked]>
Date: Tue, 30 Aug 2016 19:48:22 +0200

21.07.2016, 15:12 Jerome Martinez:
> Le 20/07/2016 à 20:44, Michael Bradshaw a écrit :
>> [...]
>>
>> Personally, I'm in favor of just adopting WebM's encryption
>> specification <https://www.webmproject.org/docs/webm-encryption/> and
>> removing the other encryption features of Matroska (assuming no one is
>> using them).
> 
> With the same assumption (do we have real file with Matroska
> encryption?), I am also in favour of removing old encryption features of
> Matroska from the draft for IETF and for only integration of WebM
> encryption elements.
> 
> 

+1

For interoperability and maybe because encryption can still be useful,
even though it often has negative effects if DRM is so anti-consumer
that its restrictions make legitimate use harder, I an in favor of
adopting WebM encryption elements.

Best Regards,
Sebastian